## librostlab 1.0.20

=== debian/changelog ===
librostlab (1.0.20-4) unstable; urgency=medium

  * use dh-autoreconf instead of autotools-dev to fix FTBFS on ppc64el
    (thanks for the patch to Logan Rosen <logan@ubuntu.com>)
    Closes: #735956
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Tue, 13 May 2014 15:10:15 +0200

librostlab (1.0.20-3) unstable; urgency=low

  * debian/control:
     - cme fix dpkg-control
     - debhelper 9
     - canonical Vcs fields
  * debian/rules: --with autotools_dev
    Closes: #727433
  * debian/*.install: Multi-Arch locations

 -- Andreas Tille <tille@debian.org>  Thu, 24 Oct 2013 08:49:13 +0200

librostlab (1.0.20-2) unstable; urgency=low

  * Added handening flags.
  * Added symbols file for shared library dependency information.

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 19 Sep 2012 14:03:45 +0200

librostlab (1.0.20-1) unstable; urgency=low

  [ Laszlo Kajan ]
  * Moved blast parser out into librostlab-blast.
  * Initial release in Debian (Closes: #666192)

  [ Andreas Tille ]
  * debian/control:
     - Enhanced long description - Joe Debian-User might possibly
       not know what rostlab is and from the explanation it did not
       became clear that the library is useful in computational
       biology
     - Priority: optional (just leave the debug package extra)
     - Short descriptions should be different
  * debian/librostlab-doc.doc-base: Add doc-base file for the included
    documentation

 -- Andreas Tille <tille@debian.org>  Fri, 30 Mar 2012 15:21:06 +0200

librostlab (1.0.19) unstable; urgency=low

  * Added trace_scanning() and changed trace_scanning( bool )
  * Fixed multi-result file parsing

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 21 Mar 2012 14:47:50 +0100

librostlab (1.0.18) unstable; urgency=low

  * Fixed more std::.

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 21 Mar 2012 14:41:19 +0100

librostlab (1.0.17) unstable; urgency=low

  * No using namespace std; any more in headers

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 21 Mar 2012 13:50:03 +0100

librostlab (1.0.16) unstable; urgency=low

  * changed library license to LGPL
  * Changed package name to librostlab0, librostlab0-dbg and librostlab0-dev.
  * Provides librostlab-dev.
  * Hit is now a template with hsp type as parameter.
  * Added NCBI BLOSUM62 matrix data.
  * Cleaned up grammar for rounds.
  * Added rostlab_stdio.h

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 14 Oct 2011 20:41:57 +0200

librostlab (1.0.15) unstable; urgency=low

  * better description

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 14 Oct 2011 20:34:30 +0200

librostlab (1.0.14) unstable; urgency=low

  * added documentation

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 14 Oct 2011 20:12:30 +0200

librostlab (1.0.13) unstable; urgency=low

  * parser::parse now returns result_type
  * cast of result_type to bool is done

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 14 Oct 2011 19:34:04 +0200

librostlab (1.0.12) unstable; urgency=low

  * more headers installed

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 14 Oct 2011 19:18:42 +0200

librostlab (1.0.11) unstable; urgency=low

  * headers are now installed

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 14 Oct 2011 19:02:15 +0200

librostlab (1.0.10) unstable; urgency=low

  * Removed libzerg-based blast parser
  * Added bison/flex based LGPL blast parser

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 06 Oct 2011 19:57:29 +0200

librostlab (1.0.9) unstable; urgency=low

  * flock_resource -> file_lock_resource
  * locking now with fcntl: also works on NFS

 -- Laszlo Kajan <lkajan@rostlab.org>  Mon, 26 Sep 2011 18:50:22 +0200

librostlab (1.0.8) unstable; urgency=low

  * added missing -dev dependency on librostlab0
  * removed private members from doxygen documentation

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 23 Sep 2011 21:45:02 +0200

librostlab (1.0.7) unstable; urgency=low

  * renamed _map_split_in_2 to map_split_in_2
  * added blastpgp parser
  * cdbs

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 23 Sep 2011 21:43:11 +0200

librostlab (1.0.6) unstable; urgency=low

  * added mapAA2int.h
    Maximilian Hecht <hecht@rostlab.org>  Wed, 29 Jun 2011 09:50:51 +0200

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 29 Jun 2011 10:50:51 +0200

librostlab (1.0.5) unstable; urgency=low

  * added throw() definitions to interface of flock_resource

 -- Laszlo Kajan <lkajan@rostlab.org>  Mon, 20 Jun 2011 10:52:36 +0200

librostlab (1.0.4) unstable; urgency=low

  * FASTA format checking improved

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 10 Jun 2011 10:29:22 +0200

librostlab (1.0.3) stable; urgency=low

  * flock debugging added

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 02 Feb 2011 14:53:19 +0100

librostlab (1.0.2) stable; urgency=low

  * does not touch lock file any more

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 02 Feb 2011 13:44:10 +0100

librostlab (1.0.1) stable; urgency=low

  * now closes lock file before throwing an exception if locking fails
  * added cwd_resource

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 20 Jan 2011 23:57:04 +0100

librostlab (1.0.0) stable; urgency=low

  * Initial release

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 15 Sep 2010 15:28:53 +0200
