=== debian/control ===
Source: librostlab
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Laszlo Kajan <lkajan@rostlab.org>,
           Andreas Tille <tille@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               doxygen,
               graphviz,
               latex-xcolor,
               texlive-fonts-recommended,
               texlive-latex-extra
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/rostlab/librostlab/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/rostlab/librostlab/trunk/
Homepage: http://rostlab.org/

Package: librostlab3
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: C++ library for computational biology
 This library was developed by the Rost Lab.  The lab's research is
 driven by a conviction that protein and DNA sequences encode a
 significant core of information about the ultimate structure and
 function of genetic material and its gene products. 
 .
 The library provides the following facilities:
  * current working directory resource
  * exception with stack backtrace
  * file lock resource
  * passwd and group structures for C++
  * effective uid and gid resource
  * rostlab::bio::seq class with stream input operator for FASTA format
  * umask resource
 .
 This package contains the shared library.

Package: librostlab3-dev
Architecture: any
Section: libdevel
Depends: librostlab3 (= ${binary:Version}),
         ${misc:Depends}
Suggests: librostlab-doc
Provides: librostlab-dev
Replaces: librostlab0-dev
Description: C++ library for computational biology (development)
 This library was developed by the Rost Lab.  The lab's research is
 driven by a conviction that protein and DNA sequences encode a
 significant core of information about the ultimate structure and
 function of genetic material and its gene products. 
 .
 The library provides the following facilities:
  * current working directory resource
  * exception with stack backtrace
  * file lock resource
  * passwd and group structures for C++
  * effective uid and gid resource
  * rostlab::bio::seq class with stream input operator for FASTA format
  * umask resource
 .
 This package contains files necessary for developing applications with
 librostlab.

Package: librostlab-doc
Architecture: all
Section: doc
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: C++ library for computational biology (documentation)
 This library was developed by the Rost Lab.  The lab's research is
 driven by a conviction that protein and DNA sequences encode a
 significant core of information about the ultimate structure and
 function of genetic material and its gene products. 
 .
 The library provides the following facilities:
  * current working directory resource
  * exception with stack backtrace
  * file lock resource
  * passwd and group structures for C++
  * effective uid and gid resource
  * rostlab::bio::seq class with stream input operator for FASTA format
  * umask resource
 .
 This package contains html documentation.

Package: librostlab3-dbg
Architecture: any
Section: debug
Priority: extra
Depends: librostlab3 (= ${binary:Version}),
         ${misc:Depends}
Description: debugging symbols for librostlab
 The library provides the following facilities:
  * current working directory resource
  * exception with stack backtrace
  * file lock resource
  * passwd and group structures for C++
  * effective uid and gid resource
  * rostlab::bio::seq class with stream input operator for FASTA format
  * umask resource
 .
 This package provides the detached debug symbols for librostlab.
