=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@ --with autoreconf --parallel

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	dh_auto_configure --parallel -- --enable-doxygen-dot --enable-doxygen-pdf

.PHONY: override_dh_auto_build
override_dh_auto_build:
	dh_auto_build --parallel
	$(MAKE) -C lib doxygen-doc

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=librostlab3-dbg

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress -Xlibrostlab.tag

.PHONY: get-orig-source
get-orig-source:
	mkdir -p ../tarballs
	uscan --verbose --force-download --destdir=../tarballs
