=== debian/watch ===
version=3

opts=passive \
ftp://rostlab.org/free/librostlab-([0-9.]+)\.tar\.gz debian uupdate
